Get Sub MSP details
This API can be used to view Sub MSP details.
Path Parameters
- id uuid required
Sub MSP ID in Commvault
Responses
- 200
- 401
- 403
- 404
- 500
Success
- application/json
- Schema
- Example (from schema)
- Example
Schema
data object
id uuidinsertTs date-timeupdateTs date-timename stringwebsite stringcurrency stringbackupInfraShared booleancontacts object[]
type stringemail stringfirstName stringlastName stringaddress object
city stringaddressLine1 stringstate stringcountry stringpostalCode string
{
"data": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"insertTs": "2026-02-27",
"updateTs": "2026-02-27",
"name": "string",
"website": "string",
"currency": "string",
"backupInfraShared": true,
"contacts": [
{
"type": "string",
"email": "string",
"firstName": "string",
"lastName": "string",
"address": {
"city": "string",
"addressLine1": "string",
"state": "string",
"country": "string",
"postalCode": "string"
}
}
]
}
}
{
"data": {
"id": "5D378A8D-12F6-4589-9B97-886150B95072",
"insertTs": "2024-12-03T20:36:24",
"updateTs": "2024-12-04T00:29:16",
"name": "Sub MSP 1",
"website": "www.submsp1.com",
"currency": "USD",
"backupInfraShared": false,
"contacts": [
{
"type": "admin",
"email": "admin@submsp1.com",
"firstName": "Admin",
"lastName": "User",
"address": {
"city": "Santa Clara",
"addressLine1": "1 wolfe Rd",
"state": "California",
"country": "United States",
"postalCode": "94051"
}
}
]
}
}
Unauthorized
Forbidden
Not Found
- application/json
- Example
{
"error": {
"code": 1400,
"message": "Record not found"
}
}
Internal Server Error
Loading...